package com.ruoyi.ibs.tabs.domain.entity;

import lombok.Builder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 指标配置情况对象 cust_tab_detail
 * 
 * @author ruoyi
 * @date 2024-12-30
 */

public class CustTabDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long tabId;

    /** 计算类型：1比大小 2是否 3枚举 */
    @Excel(name = "计算类型：1比大小 2是否 3枚举")
    private String tabThresholdType;

    /** 指标阈值 */
    @Excel(name = "指标阈值")
    private BigDecimal tabThreshold;

    /** 阈值判断规则1.&gt; 2.&gt;= 3.= 4.&lt;= 5&lt; */
    @Excel(name = "阈值判断规则1.&gt; 2.&gt;= 3.= 4.&lt;= 5&lt;")
    private String tabThresholdRule;

    /** 0或1(阈值类型为2的情况下) */
    @Excel(name = "0或1(阈值类型为2的情况下)")
    private String booleanVal;

    /** 枚举值(阈值类型为3的情况下) */
    @Excel(name = "枚举值(阈值类型为3的情况下)")
    private String enumVal;


    private String potId;

    public String getPotId() {
        return potId;
    }

    public void setPotId(String potId) {
        this.potId = potId;
    }

    private String potName;

    public String getPotName() {
        return potName;
    }

    public void setPotName(String potName) {
        this.potName = potName;
    }


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTabId(Long tabId) 
    {
        this.tabId = tabId;
    }

    public Long getTabId() 
    {
        return tabId;
    }
    public void setTabThresholdType(String tabThresholdType) 
    {
        this.tabThresholdType = tabThresholdType;
    }

    public String getTabThresholdType() 
    {
        return tabThresholdType;
    }
    public void setTabThreshold(BigDecimal tabThreshold)
    {
        this.tabThreshold = tabThreshold;
    }

    public BigDecimal getTabThreshold()
    {
        return tabThreshold;
    }
    public void setTabThresholdRule(String tabThresholdRule) 
    {
        this.tabThresholdRule = tabThresholdRule;
    }

    public String getTabThresholdRule() 
    {
        return tabThresholdRule;
    }
    public void setBooleanVal(String booleanVal) 
    {
        this.booleanVal = booleanVal;
    }

    public String getBooleanVal() 
    {
        return booleanVal;
    }
    public void setEnumVal(String enumVal) 
    {
        this.enumVal = enumVal;
    }

    public String getEnumVal() 
    {
        return enumVal;
    }

    public CustTabDetail(){

    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tabId", getTabId())
            .append("tabThresholdType", getTabThresholdType())
            .append("tabThreshold", getTabThreshold())
            .append("tabThresholdRule", getTabThresholdRule())
            .append("booleanVal", getBooleanVal())
            .append("enumVal", getEnumVal())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
